package ru.myitschool.work.data.network.api;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.PATCH;
import retrofit2.http.Path;
import ru.myitschool.work.data.dto.Code;
import ru.myitschool.work.data.dto.Employee;

public interface EmployeeApi {
    @GET("/api/{login}/auth")
    Call<Void> auth(@Path("login") String login);

    @GET("/api/{login}/info")
    Call<Employee> info(@Path("login") String login);

    @PATCH("/api/{login}/open")
    Call<Void> open(@Path("login") String login, @Body Code code);
}
